function OMWN(data) {
  this.data = data;
}

OMWN.wordClick = function(res) {
  Lexp.target = OMWN.id;
  var target = "/lemma/pl/" + res.target.textContent;
  Lexp.go2URL(target);

  return false;
}

OMWN.prototype.showHTML = function(tag) {
  tag.html("");
  var _html =
    '<div class="table-responsive" align="left">' +
      '<table class="table table-bordered">' +
        '<thead>' +
          '<tr>' +
            '<th><span lang="pl">Znaczenie</span><span lang="en">Meaning</span></th>' +
            '<th><span lang="pl">Lista słów</span><span lang="en">List of words</span></th>' +
          '</tr>' +
        '</thead>' +
        '<tbody>';

  for (var sid in this.data) {
    _html += '<tr>';
    var synset = this.data[sid];
    console.log(synset);

    _html +=
      '<td>' +
        synset.definition +
      '</td>' +
      '<td>';
    for(var lang in synset.translate) {
      if (synset.translate[lang].length != 0) {
        _html += '<p>' + lang + ' : ';
        var _first = true;
        for(var le in synset.translate[lang]) {
          if (_first) {
            _first = false;
          } else {
            _html += ", ";
          }
          _html +=
            '<a class="lemma-link" href="/lemma/' + lang + '/' + synset.translate[lang][le] + '">' +
              synset.translate[lang][le] +
            '</a>';
        }
        _html += '</p>';
      }
    }
    _html += '</td>';
  }
  _html += '</tr></tbody></table></div>';
  tag.html(_html);
}

OMWN.id = "omwn";

$(function () {
  Element.addVisualizer(OMWN.id, OMWN);

  $('#lexp_results').on('mouseup', '#lexpelement_omwn', function(event) {
    let lemma = selectWord() || '',
        lang = $('#lang').val(),
        data = new Object();

    console.log(event);

    data.lemma = lemma;
    data.lang = lang || 'pl';
    data.left = event.originalEvent.clientX - 80 || 0;
    data.top = event.originalEvent.clientY - 55 || 0;

    if (lemma.length < 10) {
      data.left = event.originalEvent.clientX - 65 || 0;
    }

    positionTooltip(data);
  });
});